Bug 113404 - Missing pam config file for squid
Missing pam config file for squid
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 11:38 EST by Petr Krištof
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: squid-2.5.STABLE5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 17:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pam.d file for squid (67 bytes, text/plain)
2004-01-29 06:26 EST, Reuben Farrelly
no flags Details
squid pam.d file (109 bytes, text/plain)
2004-03-10 10:20 EST, Petr Krištof
no flags Details

  None (edit)
Description Petr Krištof 2004-01-13 11:38:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Squid packages comes without pam config file

/etc/pam.d/squid

so program

/usr/lib/squid/pam_auth

cannt be used for user authentication.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
 

Additional info:
Comment 1 Reuben Farrelly 2004-01-29 06:26:51 EST
Created attachment 97328 [details]
pam.d file for squid

Just put this file in /etc/pam.d/
Comment 2 Reuben Farrelly 2004-01-29 06:33:14 EST
The abovementioned attachment should ideally be included in the squid 
sources - I've mailed one of the squid developers asking for it to be 
included in the squid src tree.
Comment 3 Petr Krištof 2004-01-29 06:36:30 EST
This is wrong way how to do it.
It will not work on non-passwd based system.
Im runing ldap backend, for example.

The correct config if:

#%PAM-1.0
auth       required     pam_stack.so service=system-auth
account    required     pam_stack.so service=system-auth
Comment 4 Reuben Farrelly 2004-01-29 08:00:47 EST
Yes, you are correct.  Using pam_stack is a better way to do it...
Comment 5 Petr Krištof 2004-03-10 10:20:00 EST
Created attachment 98426 [details]
squid pam.d file

Wakeup Jay, deadline for freeze is near ;-)
Comment 6 Jay Fenlason 2004-04-05 17:23:17 EDT
I added this file to the latest rawhide squid rpm

Note You need to log in before you can comment on or make changes to this bug.